Unhandled exception starting Ranorex Studio (Vista Ultimate)

Bug reports.
harrymc
Posts: 1
Joined: Tue Nov 04, 2008 11:54 am

Unhandled exception starting Ranorex Studio (Vista Ultimate)

Post by harrymc » Tue Nov 04, 2008 12:02 pm

SharpDevelop Version : 2.0.0.4395
.NET Version : 2.0.50727.1434
OS Version : Microsoft Windows NT 6.0.6001 Service Pack 1
Current culture : English (United States) (en-US)
Working Set Memory : 29292kb
GC Heap Memory : 2821kb

Unhandled exception terminated SharpDevelop
Exception thrown:
System.IO.FileNotFoundException: Could not load file or assembly 'System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089' or one of its dependencies. The system cannot find the file specified.
File name: 'System.Core, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'
at ICSharpCode.SharpDevelop.DomHostCallback.Register()
at ICSharpCode.SharpDevelop.Gui.WorkbenchSingleton.InitializeWorkbench(IWorkbench workbench, IWorkbenchLayout layout)
at ICSharpCode.SharpDevelop.Gui.WorkbenchSingleton.InitializeWorkbench()
at ICSharpCode.SharpDevelop.Sda.CallHelper.RunWorkbenchInternal(Object settings)
at ICSharpCode.SharpDevelop.Sda.CallHelper.RunWorkbench(WorkbenchSettings settings)
at ICSharpCode.SharpDevelop.Sda.SharpDevelopHost.RunWorkbench(WorkbenchSettings settings)
at ICSharpCode.SharpDevelop.SharpDevelopMain.RunApplication()
at ICSharpCode.SharpDevelop.SharpDevelopMain.Run(String[] args)
at ICSharpCode.SharpDevelop.SharpDevelopMain.Main(String[] args)

WRN: Assembly binding logging is turned OFF.
To enable assembly bind failure logging, set the registry value [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) to 1.
Note: There is some performance penalty associated with assembly bind failure logging.
To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fusion!EnableLog].

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Post by Support Team » Tue Nov 04, 2008 1:13 pm

The .Net Framework 3.5 is required for RanorexStudio. Please install .Net Framework version 3.5!

Regards,
Alex
Ranorex Support Team